[SRU] queens stable releases

Bug #1848302 reported by Sahid Orentino on 2019-10-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Queens
High
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned

Bug Description

[Impact]
This release sports mostly bug-fixes and we would like to make sure all of our supported customers
have access to these improvements. The update contains the following package updates:

cinder 12.0.9
nova 17.0.12

[Test Case]
The following SRU process was followed:
https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]
n/a

CVE References

description: updated
Changed in cinder (Ubuntu):
status: New → Triaged
Changed in nova (Ubuntu):
status: New → Triaged
Changed in cloud-archive:
status: New → Triaged
importance: Undecided → High
Changed in cinder (Ubuntu):
importance: Undecided → High
Changed in nova (Ubuntu):
importance: Undecided → High
Changed in cinder (Ubuntu Bionic):
status: New → Triaged
Changed in nova (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → High
Changed in nova (Ubuntu):
importance: High → Undecided
status: Triaged → Invalid
Changed in cinder (Ubuntu Bionic):
importance: Undecided → High
Changed in cinder (Ubuntu):
importance: High → Undecided
status: Triaged → Invalid
Changed in cloud-archive:
importance: High → Undecided
status: Triaged → Invalid
description: updated
description: updated

Hello Sahid, or anyone else affected,

Accepted cinder into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/2:12.0.9-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cinder (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in nova (Ubuntu Bionic):
status: Triaged → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Sahid, or anyone else affected,

Accepted nova into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:17.0.12-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

All autopkgtests for the newly accepted nova (2:17.0.12-0ubuntu1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

nova/2:17.0.12-0ubuntu1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#nova

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Hello Sahid, or anyone else affected,

Accepted cinder into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-needed
Corey Bryant (corey.bryant) wrote :

Hello Sahid, or anyone else affected,

Accepted nova into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

======
Totals
======
Ran: 92 tests in 1108.0000 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 513.1016 sec.

tags: added: verification-done-bionic
removed: verification-needed-bionic

======
Totals
======
Ran: 92 tests in 1001.0000 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 462.4805 sec

tags: added: verification-done verification-done-queens
removed: verification-needed verification-queens-needed
tags: added: verification-queens-done
removed: verification-done-queens
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:17.0.12-0ubuntu1

---------------
nova (2:17.0.12-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1848302).
  * d/p/CVE-2019-14433.patch: Dropped. Fixed in 17.0.12.

 -- Sahid Orentino Ferdjaoui <email address hidden> Wed, 16 Oct 2019 10:18:07 +0200

Changed in nova (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:12.0.9-0ubuntu1

---------------
cinder (2:12.0.9-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1848302).

 -- Corey Bryant <email address hidden> Mon, 21 Oct 2019 14:29:27 -0400

Changed in cinder (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cinder has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package cinder - 2:12.0.9-0ubuntu1~cloud0
---------------

 cinder (2:12.0.9-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 cinder (2:12.0.9-0ubuntu1) bionic; urgency=medium
 .
   * New stable point release for OpenStack Queens (LP: #1848302).

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package nova - 2:17.0.12-0ubuntu1~cloud0
---------------

 nova (2:17.0.12-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 nova (2:17.0.12-0ubuntu1) bionic; urgency=medium
 .
   * New stable point release for OpenStack Queens (LP: #1848302).
   * d/p/CVE-2019-14433.patch: Dropped. Fixed in 17.0.12.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers